import { exec as _exec } from 'node:child_process';

export default new class {
  exec(cmd) {
    return new Promise((resolve, reject) => {
      _exec(cmd, { maxBuffer: 5e3 * 1024 }, (err, stdout, stderr) => {
        if(err)
          return reject(err);
        if(stderr)
          console.error(stderr);
        resolve({ stdout: stdout });
      });
    });
  };

  rand(max = 1) {
    return ~~(Math.random() * (max - 1) + 1);
  };

  sleep(ms) {
    return new Promise(r => setTimeout(r, ms));
  };
};
